# @himenon/openai-typescript-openapi

```bash
npm  i   @himenon/openai-typescript-openapi
# or
pnpm i   @himenon/openai-typescript-openapi
# or
yarn add @himenon/openai-typescript-openapi
```

## Usage

```ts
import * as fs from "node:fs";
import { Client } from "@himenon/openai-typescript-openapi/dist/2.0.0";

const client = new Client(
  {
    request: {}, // your impl
  },
  "your/endpoint"
);

client.listModels();
```

## Build

```ts
pnpm build
```

## OpenAPI Source for openai

- <https://github.com/openai/openai/blob/master/api/openapi-spec/swagger.json>

## OpenAPI TypeScript Code Generator

- [@himenon/openapi-typescript-code-generator](https://github.com/Himenon/openapi-typescript-code-generator)

You can also just use the type definition

## Use Another Version

Edit [config.ts](./scripts/config.ts)

## LICENCE

[@Himenon/openai-typescript-openapi](https://github.com/Himenon/openai-typescript-openapi)・MIT
